Create a Goal for a Participant
post
/public/v1/participants/{participant}/goalsparticipantstringrequiredThe participant UUID
Body
application/jsonnamestringrequiredmax length 512statusenum<string> | nullAvailable options:achievedin_progressunattainablegoal_typeenum<string> | nullAvailable options:long_termmedium_termshort_termdescriptionstring | nullmax length 65535Limited to 65535 bytes.
achievement_strategystring | nullmax length 65535Limited to 65535 bytes.
barriersstring | nullmax length 65535Limited to 65535 bytes.
plansobject[] | nullmax items 100▶Show 1 child attributesHide child attributes
idstringrequired
Response
200application/jsonParticipantGoalResource
dataobjectrequired▶Show 10 child attributesHide child attributes
idstringrequiredExample:g1o2a3l4-d5e6-47f8-9a0b-1c2d3e4f5a6bnamestringrequiredExample:Improve social interactionsgoal_typestring | nullrequiredExample:short_termdescriptionstring | nullrequiredExample:Participant wants to improve their social skillsachievement_strategystring | nullrequiredExample:Attend weekly social groupsbarriersstring | nullrequiredExample:Anxiety in group settingsstatusstringrequiredExample:activeachieved_atstring | nullrequiredExample:2024-06-15T10:30:00+00:00archived_atstring | nullrequiredExample:2024-01-15T10:30:00+00:00created_atstringrequiredExample:2024-01-15T10:30:00+00:00
401Unauthenticated403Authorization error404Not found422Validation error